Bug 1283030 - SELinux is preventing /usr/bin/abrt-dump-journal-oops from 'connectto' accesses on the unix_stream_socket /run/nscd/socket.
SELinux is preventing /usr/bin/abrt-dump-journal-oops from 'connectto' access...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:ef10499386388e96261539f6660...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 23:20 EST by vikram goyal
Modified: 2016-12-20 11:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:02:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vikram goyal 2015-11-17 23:20:48 EST
Description of problem:

I don't know what is the reason but submitting it in case it is a packaging/policy issue. Thanks
SELinux is preventing /usr/bin/abrt-dump-journal-oops from 'connectto' accesses on the unix_stream_socket /run/nscd/socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-dump-journal-oops should be allowed connectto access on the socket unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-dump-journ /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:system_r:nscd_t:s0
Target Objects                /run/nscd/socket [ unix_stream_socket ]
Source                        abrt-dump-journ
Source Path                   /usr/bin/abrt-dump-journal-oops
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-addon-kerneloops-2.7.0-2.fc23.x86_64
Target RPM Packages           nscd-2.22-5.fc23.x86_64
Policy RPM                    selinux-policy-3.13.1-154.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.2.5-300.fc23.x86_64 #1 SMP Tue
                              Oct 27 04:29:56 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-11-17 22:25:37 IST
Last Seen                     2015-11-17 22:25:37 IST
Local ID                      282d8052-071b-4e57-b98d-82f28ab768da

Raw Audit Messages
type=AVC msg=audit(1447779337.960:2827): avc:  denied  { connectto } for  pid=801 comm="abrt-dump-journ" path="/run/nscd/socket" scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:system_r:nscd_t:s0 tclass=unix_stream_socket permissive=1


type=SYSCALL msg=audit(1447779337.960:2827): arch=x86_64 syscall=connect success=yes exit=0 a0=8 a1=7ffe80fae9c0 a2=6e a3=6 items=0 ppid=1 pid=801 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=abrt-dump-journ exe=/usr/bin/abrt-dump-journal-oops subj=system_u:system_r:abrt_dump_oops_t:s0 key=(null)

Hash: abrt-dump-journ,abrt_dump_oops_t,nscd_t,unix_stream_socket,connectto

Version-Release number of selected component:
selinux-policy-3.13.1-154.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.x86_64
type:           libreport
Comment 1 vikram goyal 2015-12-01 05:27:24 EST
Description of problem:

Please also see https://bugzilla.redhat.com/show_bug.cgi?id=1253906

Version-Release number of selected component:
selinux-policy-3.13.1-155.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.6-301.fc23.x86_64
type:           libreport
Comment 2 Fedora Admin XMLRPC Client 2016-09-27 10:57:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 08:32:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:02:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.